## fluidsynth 1.0.0

=== DESCRIPTION ===
Package: fluidsynth
Type: Package
Title: Read and Play Digital Music (MIDI)
Version: 1.0.0
Authors@R: c(
    person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
      comment = c(ORCID = "0000-0002-4035-0289")),
    person("S. Christian Collins", role = "cph", comment = "author of generaluser-gs 
      soundbank"))
Description: Bindings to 'libfluidsynth' to parse and synthesize MIDI files. It can
    read MIDI into a data frame, play it on the local audio device, or convert into
    an audio file.
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.3.1
Imports: av, rappdirs
SystemRequirements: fluidsynth: fluidsynth-devel (rpm) or
        libfluidsynth-dev (deb). On Linux you also need a soundfont
        provided by 'fluid-soundfont-gm' (Fedora) or 'sf3-soundfont-gm'
        (Debian/Ubuntu)
URL: https://docs.ropensci.org/fluidsynth/
        https://ropensci.r-universe.dev/fluidsynth
BugReports: https://github.com/ropensci/fluidsynth/issues
NeedsCompilation: yes
Packaged: 2024-02-19 23:14:30 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  S. Christian Collins [cph] (author of generaluser-gs soundbank)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2024-02-21 15:40:02 UTC

## fluidsynth 1.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: fluidsynth
 Type: Package
 Title: Read and Play Digital Music (MIDI)
-Version: 1.0.0
+Version: 1.0.1
 Authors@R: c(
     person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
       comment = c(ORCID = "0000-0002-4035-0289")),
@@ -22,9 +22,9 @@
         https://ropensci.r-universe.dev/fluidsynth
 BugReports: https://github.com/ropensci/fluidsynth/issues
 NeedsCompilation: yes
-Packaged: 2024-02-19 23:14:30 UTC; jeroen
+Packaged: 2024-08-16 14:10:04 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   S. Christian Collins [cph] (author of generaluser-gs soundbank)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2024-02-21 15:40:02 UTC
+Date/Publication: 2024-08-16 14:30:02 UTC

## fluidsynth 1.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: fluidsynth
 Type: Package
 Title: Read and Play Digital Music (MIDI)
-Version: 1.0.1
+Version: 1.0.2
 Authors@R: c(
-    person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
+    person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroenooms@gmail.com",
       comment = c(ORCID = "0000-0002-4035-0289")),
     person("S. Christian Collins", role = "cph", comment = "author of generaluser-gs 
       soundbank"))
@@ -22,9 +22,9 @@
         https://ropensci.r-universe.dev/fluidsynth
 BugReports: https://github.com/ropensci/fluidsynth/issues
 NeedsCompilation: yes
-Packaged: 2024-08-16 14:10:04 UTC; jeroen
+Packaged: 2024-10-03 14:12:33 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   S. Christian Collins [cph] (author of generaluser-gs soundbank)
-Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
+Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-08-16 14:30:02 UTC
+Date/Publication: 2024-10-04 09:10:13 UTC

## fluidsynth 1.1.2

=== CMakeLists.txt ===
# FluidSynth - A Software Synthesize
#
# Copyright (C) 2003-2010 Peter Hanappe and others.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public License
# as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307, USA

# CMake based build system. Pedro Lopez-Cabanillas <plcl@users.sf.net>

project ( FluidSynth C )
cmake_minimum_required ( VERSION 2.6 )
set ( CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake_admin )

# FluidSynth package name
set ( PACKAGE "fluidsynth" )

# FluidSynth package version
set ( FLUIDSYNTH_VERSION_MAJOR 1 )
set ( FLUIDSYNTH_VERSION_MINOR 1 )
set ( FLUIDSYNTH_VERSION_MICRO 2 )
set ( VERSION "${FLUIDSYNTH_VERSION_MAJOR}.${FLUIDSYNTH_VERSION_MINOR}.${FLUIDSYNTH_VERSION_MICRO}" )      
set ( FLUIDSYNTH_VERSION "\"${VERSION}\"" )

# libfluidsynth - Library version
# *** NOTICE ***
# Update library version upon each release (follow these steps in order)
# if any source code changes: REVISION++
# if any interfaces added/removed/changed: REVISION=0
# if any interfaces removed/changed (compatibility broken): CURRENT++
# if any interfaces have been added: AGE++
# if any interfaces have been removed/changed (compatibility broken): AGE=0
# This is not exactly the same algorithm as the libtool one, but the results are the same.
set ( LT_VERSION_CURRENT 1 )
set ( LT_VERSION_AGE 4 )
set ( LT_VERSION_REVISION 0 )
set ( LT_VERSION_INFO "${LT_VERSION_CURRENT}.${LT_VERSION_AGE}.${LT_VERSION_REVISION}" )

# Options disabled by default
option ( enable-floats "enable type float instead of double for DSP samples" off )
option ( enable-profiling "profile the dsp code" off )
option ( enable-ladspa "enable LADSPA effect units" off )
option ( enable-trap-on-fpe "enable SIGFPE trap on Floating Point Exceptions" off )
option ( enable-fpe-check "enable Floating Point Exception checks and debug messages" off )
option ( enable-debug "enable debugging (default=no)" off )
option ( enable-ladcca "compile LADCCA support if it is available (deprecated)" off )

# Options enabled by default
option ( enable-libsndfile "compile libsndfile support (if it is available)" on )
option ( enable-aufile "compile support for sound file output" on )
option ( enable-pulseaudio "compile PulseAudio support (if it is available)" on ) 
option ( enable-alsa "compile ALSA support (if it is available)" on )
option ( enable-portaudio "compile PortAudio support (if it is available)" on )
option ( enable-jack "compile JACK support (if it is available)" on )
option ( enable-coreaudio "compile CoreAudio support (if it is available)" on )
option ( enable-coremidi "compile CoreMIDI support (if it is available)" on )
option ( enable-midishare "compile MidiShare support (if it is available)" on )
option ( enable-dart "compile DART support (if it is available)" on )
option ( enable-readline "compile readline lib line editing (if it is available)" on )
option ( enable-lash "compile LASH support (if it is available)" on )
option ( enable-dbus "compile DBUS support (if it is available)" on )
option ( BUILD_SHARED_LIBS "Build a shared object or DLL" on )

# Initialize the library directory name suffix.
if ( CMAKE_SIZEOF_VOID_P EQUAL 8 )
  set ( _init_lib_suffix "64" )
else ( CMAKE_SIZEOF_VOID_P EQUAL 8 )
  set ( _init_lib_suffix "" )
endif ( CMAKE_SIZEOF_VOID_P EQUAL 8 )
set ( LIB_SUFFIX ${_init_lib_suffix} CACHE STRING 
      "library directory name suffix (32/64/nothing)" )
mark_as_advanced ( LIB_SUFFIX )

# Basic C library checks
include ( CheckSTDC )
include ( CheckIncludeFile )
check_include_file ( string.h HAVE_STRING_H )
check_include_file ( stdlib.h HAVE_STDLIB_H ) 
check_include_file ( stdio.h HAVE_STDIO_H ) 
check_include_file ( math.h HAVE_MATH_H ) 
check_include_file ( errno.h HAVE_ERRNO_H ) 
check_include_file ( stdarg.h HAVE_STDARG_H ) 
check_include_file ( unistd.h HAVE_UNISTD_H ) 
check_include_file ( memory.h HAVE_MEMORY_H )
check_include_file ( sys/mman.h HAVE_SYS_MMAN_H ) 
check_include_file ( sys/types.h HAVE_SYS_TYPES_H ) 
check_include_file ( sys/time.h HAVE_SYS_TIME_H ) 
check_include_file ( sys/stat.h HAVE_SYS_STAT_H ) 
check_include_file ( sys/ioctl.h HAVE_SYS_IOCTL_H )
check_include_file ( fcntl.h HAVE_FCNTL_H ) 
check_include_file ( sys/socket.h HAVE_SYS_SOCKET_H ) 
check_include_file ( netinet/in.h HAVE_NETINET_IN_H ) 
check_include_file ( netinet/tcp.h HAVE_NETINET_TCP_H ) 
check_include_file ( arpa/inet.h HAVE_ARPA_INET_H ) 
check_include_file ( limits.h  HAVE_LIMITS_H )
check_include_file ( pthread.h HAVE_PTHREAD_H ) 
check_include_file ( signal.h HAVE_SIGNAL_H ) 
include ( TestInline )
include ( TestVLA )
include ( TestBigEndian )
test_big_endian ( WORDS_BIGENDIAN )

set ( LIBFLUID_CPPFLAGS )
set ( LIBFLUID_LIBS )
set ( FLUID_CPPFLAGS )
set ( FLUID_LIBS )

# Options for the GNU C compiler only
if ( CMAKE_COMPILER_IS_GNUCC )
  if ( NOT APPLE )
    set ( CMAKE_EXE_LINKER_FLAGS 
          "${CMAKE_EXE_LINKER_FLAGS} -Wl,--as-needed" )
    set ( CMAKE_SHARED_LINKER_FLAGS 
          "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
  endif ( NOT APPLE )
  set ( GNUCC_WARNING_FLAGS "-Wall -W -Wpointer-arith -Wbad-function-cast -Wcast-qual -Wcast-align -Wstrict-prototypes -Wno-unused-parameter -Wno-cast-qual")
  set ( CMAKE_C_FLAGS_DEBUG "-g -DDEBUG ${GNUCC_WARNING_FLAGS}" )
  set ( CMAKE_C_FLAGS_RELEASE "-O2 -fomit-frame-pointer -funroll-all-loops -finline-functions -DNDEBUG ${GNUCC_WARNING_FLAGS}" )
  set ( CMAKE_C_FLAGS_RELWITHDEBINFO "-O2 -g -fomit-frame-pointer -funroll-all-loops -finline-functions -DNDEBUG ${GNUCC_WARNING_FLAGS}" )
endif ( CMAKE_COMPILER_IS_GNUCC )

# Windows
set ( WINDOWS_SUPPORT )
set ( WINDOWS_LIBS )
set ( MINGW32 )
if ( WIN32 )
  include ( CheckIncludeFiles )
  check_include_file ( windows.h HAVE_WINDOWS_H )
  check_include_file ( io.h HAVE_IO_H )
  check_include_file ( dsound.h HAVE_DSOUND_H )
  check_include_files ( "windows.h;mmsystem.h" HAVE_MMSYSTEM_H )
  set ( WINDOWS_SUPPORT ${HAVE_WINDOWS_H} )
  set ( WINDOWS_LIBS "dsound;winmm;ws2_32" )
  set ( LIBFLUID_CPPFLAGS "-DFLUIDSYNTH_DLL_EXPORTS" )
  set ( FLUID_CPPFLAGS "-DFLUIDSYNTH_NOT_A_DLL" )
  set ( CMAKE_DEBUG_POSTFIX "_debug" )
  # MinGW compiler (a Windows GCC port)
  if ( MINGW ) 
    set ( MINGW32 1 )
    add_definitions ( -mms-bitfields )
  endif  ( MINGW )
else ( WIN32 )
# Check PThreads, but not in Windows 
  find_package ( Pthreads REQUIRED )
  set ( HAVE_LIBPTHREAD ${PTHREADS_FOUND} )
  set ( LIBFLUID_LIBS "m" )
endif ( WIN32 )

# IBM OS/2
set ( DART_SUPPORT )
set ( DART_LIBS )  
if ( ${CMAKE_SYSTEM} MATCHES "os2" )
  set ( CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Zbin-files" )
  set ( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Zbin-files -no-undefined" )
  if ( enable-dart )
    check_include_file ( os2me.h HAVE_DART_H )
    set ( DART_SUPPORT ${HAVE_DART_H} )
    set ( DART_INCLUDE_DIRS )
  endif ( enable-dart )
endif ( ${CMAKE_SYSTEM} MATCHES "os2" )

# Solaris / SunOS
if ( ${CMAKE_SYSTEM} MATCHES "SunOS" ) 
  set ( FLUID_LIBS "${FLUID_LIBS};nsl;socket" ) 
  set ( LIBFLUID_LIBS "${LIBFLUID_LIBS};nsl;socket" ) 
endif ( ${CMAKE_SYSTEM} MATCHES "SunOS" )

# Apple Mac OSX
set ( COREAUDIO_SUPPORT )
set ( COREAUDIO_LIBS ) 
set ( COREMIDI_SUPPORT )
set ( COREMIDI_LIBS )
set ( DARWIN ) 
if ( ${CMAKE_SYSTEM} MATCHES "Darwin" )
  set ( DARWIN 1 )
  if ( enable-coreaudio )
    check_include_file ( CoreAudio/AudioHardware.h COREAUDIO_FOUND )
    if ( COREAUDIO_FOUND )
      set ( COREAUDIO_SUPPORT ${COREAUDIO_FOUND} )
      set ( COREAUDIO_LIBS "-Wl,-framework,CoreAudio" )
    endif ( COREAUDIO_FOUND )
  endif ( enable-coreaudio )
  if ( enable-coremidi )
    check_include_file ( CoreMIDI/MIDIServices.h COREMIDI_FOUND )
    if ( COREMIDI_FOUND )
      set ( COREMIDI_SUPPORT ${COREMIDI_FOUND} )
      set ( COREMIDI_LIBS "-Wl,-framework,CoreMIDI,-framework,CoreServices" )
    endif ( COREMIDI_FOUND )
  endif ( enable-coremidi )
endif ( ${CMAKE_SYSTEM} MATCHES "Darwin" )

set ( WITH_FLOAT )
if ( enable-floats )
    set ( WITH_FLOAT 1 )
endif ( enable-floats )

set ( WITH_PROFILING )
if ( enable-profiling )
    set ( WITH_PROFILING 1 )
endif ( enable-profiling ) 

set ( HAVE_LIBDL )
set ( LADSPA_SUPPORT )
if ( enable-ladspa )
  check_include_file ( ladspa.h LADSPA_SUPPORT )
  if ( LADSPA_SUPPORT )
    if ( CMAKE_DL_LIBS )
      set ( HAVE_LIBDL 1 )
      set ( LIBFLUID_LIBS "${LIBFLUID_LIBS};${CMAKE_DL_LIBS}" )
    endif ( CMAKE_DL_LIBS )    
  endif ( LADSPA_SUPPORT )        
endif ( enable-ladspa )

set ( ENABLE_TRAPONFPE )
set ( TRAP_ON_FPE )
if ( enable-trap-on-fpe AND NOT APPLE AND NOT WIN32 )
    set ( ENABLE_TRAPONFPE 1 )
    set ( TRAP_ON_FPE 1 )
endif ( enable-trap-on-fpe AND NOT APPLE AND NOT WIN32 )

set ( ENABLE_FPECHECK )
set ( FPE_CHECK ) 
if ( enable-fpe-check )
    set ( ENABLE_FPECHECK 1 )
    set ( FPE_CHECK 1 )
endif ( enable-fpe-check )
  
if ( enable-debug )  
    set ( CMAKE_BUILD_TYPE "Debug" CACHE STRING
          "Choose the build type, options: Debug Release RelWithDebInfo" FORCE )
endif ( enable-debug )

set ( ENABLE_DEBUG )
set ( DEBUG )
if ( CMAKE_BUILD_TYPE MATCHES "Debug" )
    set ( ENABLE_DEBUG 1 )
    set ( DEBUG 1 )
endif ( CMAKE_BUILD_TYPE MATCHES "Debug" )

# Mandatory tool: pkg-config
find_package ( PkgConfig REQUIRED )

# Mandatory libraries: glib and gthread
set ( GLIB_LIBRARIES ) 
pkg_check_modules ( GLIB REQUIRED glib-2.0>=2.6.5 gthread-2.0>=2.6.5 )

# Optional features
set ( LIBSNDFILE_SUPPORT )
set ( LIBSNDFILE_HASVORBIS )
set ( LIBSNDFILE_LIBRARIES )
if ( enable-libsndfile )
  pkg_check_modules ( LIBSNDFILE sndfile>=1.0.0 )
  set ( LIBSNDFILE_SUPPORT ${LIBSNDFILE_FOUND} )
  if ( LIBSNDFILE_SUPPORT ) 
    pkg_check_modules ( LIBSNDFILE_VORBIS sndfile>=1.0.18 )
    set ( LIBSNDFILE_HASVORBIS ${LIBSNDFILE_VORBIS_FOUND} )
  endif ( LIBSNDFILE_SUPPORT ) 
endif ( enable-libsndfile )

set ( AUFILE_SUPPORT )
if ( enable-aufile )
  set ( AUFILE_SUPPORT 1 )
endif ( enable-aufile )

set ( PULSE_SUPPORT )
set ( PULSE_LIBRARIES ) 
if ( enable-pulseaudio )
  pkg_check_modules ( PULSE libpulse-simple>=0.9.8 )
  set ( PULSE_SUPPORT ${PULSE_FOUND} )
endif ( enable-pulseaudio )

set ( ALSA_SUPPORT )
set ( ALSA_LIBRARIES ) 
if ( enable-alsa )
  pkg_check_modules ( ALSA alsa>=0.9.1 )
  set ( ALSA_SUPPORT ${ALSA_FOUND} )
endif ( enable-alsa )

set ( PORTAUDIO_SUPPORT )
set ( PORTAUDIO_LIBRARIES ) 
if ( enable-portaudio )
  pkg_check_modules ( PORTAUDIO portaudio-2.0>=19 )
  set ( PORTAUDIO_SUPPORT ${PORTAUDIO_FOUND} )
endif ( enable-portaudio )

find_package ( OSS QUIET )
set ( OSS_SUPPORT ${OSS_FOUND} )

set ( MIDISHARE_SUPPORT )
set ( MidiShare_LIBS )
if ( enable_midishare )
  find_package ( MidiShare )
  set ( MIDISHARE_SUPPORT ${MidiShare_FOUND} )
endif ( enable_midishare )

set ( JACK_SUPPORT )
set ( JACK_LIBRARIES ) 
if ( enable-jack )
  pkg_check_modules ( JACK jack )
  set ( JACK_SUPPORT ${JACK_FOUND} )
endif ( enable-jack )

set ( WITH_READLINE )
set ( READLINE_LIBS )
if ( enable-readline )
  find_package ( Readline )
  set ( FOUND_READLINE ${HAVE_READLINE} )
  if ( HAVE_READLINE )
    set ( WITH_READLINE 1 )
    set ( READLINE_LIBS ${READLINE_LIBRARIES} )
  endif ( HAVE_READLINE )
endif ( enable-readline )

set ( LASH_SUPPORT )
set ( LASH_LIBRARIES ) 
if ( enable-lash )
  pkg_check_modules ( LASH lash-1.0>=0.3 )
  if ( LASH_FOUND )
    set ( LASH_SUPPORT 1 )
    add_definitions ( -DHAVE_LASH )
  endif ( LASH_FOUND )
endif ( enable-lash )

set ( LADCCA_SUPPORT )

=== debian/changelog ===
fluidsynth (1.1.2-2) experimental; urgency=low

  * Build-dep and dep on libjack-jackd2-dev (Closes: #597265).
  * Disable DBus support on kfreebsd-* archs to avoid it FTBFS (Closes:
    #597977).

 -- Alessio Treglia <alessio@debian.org>  Wed, 29 Sep 2010 11:18:56 +0200

fluidsynth (1.1.2-1) experimental; urgency=low

  * New upstream release:
    - New CMake build system.
      + Winbuild and Macbuild directories dropped.
      + Autotools build system is deprecated, but is still working. 
    - Rewriting of thread safety.
      + Two new settings control the thread safety mode.
        The default is to be backwards compatible. 
    - Voice overflow settings.
    - Possible to update polyphony, up to 65536 (and beyond initial setting).
    - Possible to update sample rate (jack driver updates sample rate
      correctly).
    - MIDI Bank Select handling fixed.
    - Source files moved into different subdirectories.
    - Can use RealTimeKit (on Linux) to get real-time priority.
    - Shell commands for pitch bend and pitch bend range.
    - PulseAudio driver: specify media role, and allow pulseaudio to adjust
      latency.
    - Other bug fixes. 
  * Change my email address.
  * Remove DM-Upload-Allowed: yes field.
  * Update Homepage field.
  * Bump Standards.
  * Update watch file.
  * Switch to format 3.0 (quilt).
  * Add debian/gbp.conf file.
  * Drop pulse-adjust-latency.patch patch, applied upstream.
  * Remove quilt build-dependency.
  * Static libraries are no longer provided.
  * Switch to cmake buildsystem, drop autotools stuff.
  * Adjust override_dh_auto_configure target to match cmake variables.
  * Really enable LADSPA support, patch taken from upstream's trunk.
  * Update debian/copyright file.
  * Set architecture of -DEV package to all.	

 -- Alessio Treglia <alessio@debian.org>  Tue, 14 Sep 2010 16:25:10 +0200

fluidsynth (1.1.1-4) unstable; urgency=low

  * Remove debian/README.Debian, no longer useful.
  * Disable ALSA support on kfreebsd-* architectures (Closes: #579914).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 02 May 2010 16:38:57 +0200

fluidsynth (1.1.1-3) unstable; urgency=low

  [ David Henningsson ]
  * Allow pulseaudio to adjust latency by default.

  [ Alessio Treglia ]
  * Remove unneeded .la file.
  * Bump Standards-Version.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 22 Mar 2010 18:41:22 +0100

fluidsynth (1.1.1-2) unstable; urgency=low

  * Fix libfluidsynth-dev uninstallable state by adjusting libglib2.0-dev
    dependency.
  * Switch to debhelper 7.
  * Drop CDBS.
  * Bump quilt build-dependency.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 09 Jan 2010 13:58:45 +0100

fluidsynth (1.1.1-1) unstable; urgency=low

  [ David Henningsson ]
  * New upstream release
  * All code changes dropped (fixed upstream)
  * Update build system: debhelper 7, cdbs and quilt
  * New maintainer: Debian Multimedia Maintainers team 
  * Bump Standards-Version to 3.8.3, no changes required
  * Remove optional dependency on libreadline5-dev (Closes: #553756)
  * Remove obsolete DFSG paragraph

  [ Alessio Treglia ]
  * Add myself as uploader.
  * Allow uploads by Debian Maintainers.
  * Lines should be shorter than 80 chars.
  * Add Vcs-* tags.
  * Enable LADSPA effect unit.
  * Fix copyright-refers-to-symlink-license lintian warning.

 -- David Henningsson <diwic@ubuntu.com>  Sun, 13 Dec 2009 11:43:00 +0100

fluidsynth (1.0.9+dfsg-2) unstable; urgency=low

  * Enable pulseaudio support (Closes: #531579)
  * Run commands after midi router is created (Closes: #528701)

 -- David Henningsson <launchpad.web@epost.diwic.se>  Mon, 18 Jun 2009 19:05:39 +0200

fluidsynth (1.0.9+dfsg-1.1) unstable; urgency=low

  * NMU to fix wrongly set maintainer in previous version
  * New maintainer (Closes: #503528)

 -- Ralf Treinen <treinen@debian.org>  Thu, 21 May 2009 14:24:22 +0200

fluidsynth (1.0.9+dfsg-1) unstable; urgency=low

  [ Ralf Treinen ]
  * QA upload (sponsoring David Henningsson).
  
  [ David Henningsson <launchpad.web@epost.diwic.se> ]
  * New upstream release (Closes: #524066)
  * Remove non-DFSG soundfonts and documentation (Closes: #524566)
  * Depend on libjack-dev instead of libjack0.100.0-dev (Closes: #527410)
  * Optionally depend on lash instead of ladcca
  * Rewrite debian/copyright file, now it includes exact copyright notices
  * Fix build problem with new libtool (moved ltmain.sh) (Closes: #527832)
  * Erase autotools files in debian/rules to avoid large diff.gz
  * Remove unused debian/manpages file
  * Keep upstream's config.{sub,guess}, since they're recent enough
  * Bump Standards-Version to 3.8.1, no changes required

 -- Ralf Treinen <treinen@debian.org>  Thu, 21 May 2009 10:22:08 +0200

fluidsynth (1.0.8-2) unstable; urgency=low

  * QA upload.
  * Set Maintainer to Debian QA Group.
  * Remove Uploaders field.
  * Remove Vcs fields - repository contains only an initial svn-inject.
  * Bump Standards-Version to 3.8.0 - no changes required.
  * Remove DH_COMPAT=3 from rules and add a compat file for version 5.
  * Depend on unversioned debhelper.
  * Replace ${Source-Version} with ${binary:Version} on fluidsynth-dev.
  * Don't ignore make clean errors.
  * Convert copyright file to utf-8.
  * Remove unused dh_ calls from rules.
  * Remove empty postinst scripts.
  * Remove the autotools target from rules. Automatic modification of the
    changelog are discouraged and it's not doing something useful here anyway.
  * Depend on the default automake instead of automake1.4.
  * Enable autoreconf in the configure target and remove ltconfig. 
  * Remove a file '?' from the diff - seems to be an error from some former
    upload and shouldn't be there.
  * Modify fluidsynth manpage so that it's a section 1 manpage.
  * Add a missing space in fluidsynth.1.
  * Escape some hyphens in fluidsynth.1 so that groff interprets them as minus.
  * ACK NMU from Peter Eisentraut (Closes: #478380).
  


=== debian/control ===
Source: fluidsynth
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 David Henningsson <diwic@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
 cmake,
 libreadline-dev (>= 5),
 libjack-dev | libjack-jackd2-dev,
 liblash-dev | ladcca-dev,
 ladspa-sdk,
 libtool,
 libasound2-dev,
 libpulse-dev,
 libglib2.0-dev (>= 2.6.5),
 libsndfile-dev
Standards-Version: 3.9.1
Homepage: http://www.fluidsynth.org/
Vcs-Git: git://git.debian.org/pkg-multimedia/fluidsynth.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/fluidsynth.git

Package: fluidsynth
Architecture: any
Depends: libfluidsynth1 (>= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Conflicts: iiwusynth
Replaces: iiwusynth
Provides: iiwusynth
Recommends: qsynth
Description: Real-time MIDI software synthesizer
 Fluidsynth is a real-time midi synthesizer based on the soundfont2
 specifications. It can be used to render MIDI input or MIDI files to audio.
 The MIDI events are read from a MIDI device. The sound is rendered in
 real-time to the sound output device.

Package: libfluidsynth1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Real-time MIDI software synthesizer (runtime library)
 Fluidsynth is a real-time midi synthesizer based on the soundfont2
 specifications. It can be used to render MIDI input or MIDI files to audio.
 The MIDI events are read from a MIDI device. The sound is rendered in
 real-time to the sound output device.
 .
 This package contains the runtime library.

Package: libfluidsynth-dev
Architecture: all
Section: libdevel
Depends: libfluidsynth1 (>= ${source:Version}),
 libfluidsynth1 (<< ${source:Upstream-Version}+1~),
 libreadline-dev (>= 5), 
 libncurses5-dev | libncurses-dev,
 liblash-dev | ladcca-dev,
 libasound2-dev, 
 libjack-dev | libjack-jackd2-dev,
 libpulse-dev,
 libglib2.0-dev (>= 2.6.5),
 libsndfile-dev,
 ${misc:Depends}
Description: Real-time MIDI software synthesizer (development files)
 Fluidsynth is a real-time midi synthesizer based on the soundfont2
 specifications. It can be used to render MIDI input or MIDI files to audio.
 The MIDI events are read from a MIDI device. The sound is rendered in
 real-time to the sound output device.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
EXTRA_CONFIGURE_ARGS += -Denable-alsa=off -Denable-dbus=off
endif

%:
	dh $@ -Scmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DLIB_SUFFIX='' \
		-Denable-ladspa=on \
		$(EXTRA_CONFIGURE_ARGS)

## fluidsynth 1.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 # FluidSynth package version
 set ( FLUIDSYNTH_VERSION_MAJOR 1 )
 set ( FLUIDSYNTH_VERSION_MINOR 1 )
-set ( FLUIDSYNTH_VERSION_MICRO 2 )
+set ( FLUIDSYNTH_VERSION_MICRO 3 )
 set ( VERSION "${FLUIDSYNTH_VERSION_MAJOR}.${FLUIDSYNTH_VERSION_MINOR}.${FLUIDSYNTH_VERSION_MICRO}" )      
 set ( FLUIDSYNTH_VERSION "\"${VERSION}\"" )
 
@@ -44,7 +44,7 @@
 # This is not exactly the same algorithm as the libtool one, but the results are the same.
 set ( LT_VERSION_CURRENT 1 )
 set ( LT_VERSION_AGE 4 )
-set ( LT_VERSION_REVISION 0 )
+set ( LT_VERSION_REVISION 1 )
 set ( LT_VERSION_INFO "${LT_VERSION_CURRENT}.${LT_VERSION_AGE}.${LT_VERSION_REVISION}" )
 
 # Options disabled by default
@@ -184,6 +184,7 @@
 set ( DARWIN ) 
 if ( ${CMAKE_SYSTEM} MATCHES "Darwin" )
   set ( DARWIN 1 )
+  set ( CMAKE_INSTALL_NAME_DIR ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX} )
   if ( enable-coreaudio )
     check_include_file ( CoreAudio/AudioHardware.h COREAUDIO_FOUND )
     if ( COREAUDIO_FOUND )
@@ -215,6 +216,7 @@
 if ( enable-ladspa )
   check_include_file ( ladspa.h LADSPA_SUPPORT )
   if ( LADSPA_SUPPORT )
+    set ( LADSPA 1 )
     if ( CMAKE_DL_LIBS )
       set ( HAVE_LIBDL 1 )
       set ( LIBFLUID_LIBS "${LIBFLUID_LIBS};${CMAKE_DL_LIBS}" )
@@ -328,8 +330,3 @@
   pkg_check_modules ( LASH lash-1.0>=0.3 )
   if ( LASH_FOUND )
     set ( LASH_SUPPORT 1 )
-    add_definitions ( -DHAVE_LASH )
-  endif ( LASH_FOUND )
-endif ( enable-lash )
-
-set ( LADCCA_SUPPORT )

=== doc/CMakeLists.txt ===
# FluidSynth - A Software Synthesize
#
# Copyright (C) 2003-2010 Peter Hanappe and others.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public License
# as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307, USA

# CMake based build system. Pedro Lopez-Cabanillas <plcl@users.sf.net>

find_package ( Doxygen )
if ( DOXYGEN_FOUND )
  configure_file ( Doxyfile.cmake 
    ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile )
  add_custom_target ( doxygen
    ${DOXYGEN} Doxyfile
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
  )
endif ( DOXYGEN_FOUND )

if ( UNIX )
  install ( FILES fluidsynth.1
    DESTINATION share/man/man1 )
endif ( UNIX )

=== include/CMakeLists.txt ===
# FluidSynth - A Software Synthesize
#
# Copyright (C) 2003-2010 Peter Hanappe and others.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public License
# as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307, USA

# CMake based build system. Pedro Lopez-Cabanillas <plcl@users.sf.net>

add_subdirectory ( fluidsynth ) 

install ( FILES fluidsynth.h DESTINATION include )

=== src/CMakeLists.txt ===
# FluidSynth - A Software Synthesize
#
# Copyright (C) 2003-2010 Peter Hanappe and others.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public License
# as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307, USA

# CMake based build system. Pedro Lopez-Cabanillas <plcl@users.sf.net>

include_directories (
    ${CMAKE_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/src 
    ${CMAKE_SOURCE_DIR}/src/drivers
    ${CMAKE_SOURCE_DIR}/src/synth
    ${CMAKE_SOURCE_DIR}/src/rvoice
    ${CMAKE_SOURCE_DIR}/src/midi
    ${CMAKE_SOURCE_DIR}/src/utils
    ${CMAKE_SOURCE_DIR}/src/sfloader
    ${CMAKE_SOURCE_DIR}/src/bindings
    ${CMAKE_SOURCE_DIR}/include 
    ${CMAKE_BINARY_DIR}/include 
    ${PTHREADS_INCLUDE_DIR}
    ${GLIB_INCLUDEDIR} 
    ${GLIB_INCLUDE_DIRS} 
)

# ************ library ************

if ( READLINE_SUPPORT )
  include_directories ( ${READLINE_INCLUDE_DIR} )
endif ( READLINE_SUPPORT )
 
if ( PULSE_SUPPORT ) 
  set ( fluid_pulse_SOURCES drivers/fluid_pulse.c )
  include_directories ( ${PULSE_INCLUDEDIR} ${PULSE_INCLUDE_DIRS} )
endif ( PULSE_SUPPORT )

if ( ALSA_SUPPORT )
  set ( fluid_alsa_SOURCES drivers/fluid_alsa.c )
  include_directories ( ${ALSA_INCLUDEDIR} ${ALSA_INCLUDE_DIRS} )
endif ( ALSA_SUPPORT )

if ( COREAUDIO_SUPPORT )
  set ( fluid_coreaudio_SOURCES drivers/fluid_coreaudio.c )
endif ( COREAUDIO_SUPPORT )

if ( COREMIDI_SUPPORT )
  set ( fluid_coremidi_SOURCES drivers/fluid_coremidi.c )
endif ( COREMIDI_SUPPORT )

if ( DBUS_SUPPORT )
  set ( fluid_dbus_SOURCES bindings/fluid_rtkit.c bindings/fluid_rtkit.h )
  include_directories ( ${DBUS_INCLUDEDIR} ${DBUS_INCLUDE_DIRS} )
endif ( DBUS_SUPPORT )

if ( JACK_SUPPORT )
  set ( fluid_jack_SOURCES drivers/fluid_jack.c )
  include_directories ( ${JACK_INCLUDEDIR} ${JACK_INCLUDE_DIRS} ) 
endif ( JACK_SUPPORT )

if ( PORTAUDIO_SUPPORT )
  set ( fluid_portaudio_SOURCES drivers/fluid_portaudio.c )
  include_directories ( ${PORTAUDIO_INCLUDEDIR} ${PORTAUDIO_INCLUDE_DIRS} )
endif ( PORTAUDIO_SUPPORT )

if ( WINDOWS_SUPPORT )
  set ( fluid_windows_SOURCES fluid_dll.c drivers/fluid_dsound.c drivers/fluid_winmidi.c )
endif ( WINDOWS_SUPPORT )

if ( OSS_SUPPORT )
  set ( fluid_oss_SOURCES drivers/fluid_oss.c )
endif ( OSS_SUPPORT )

if ( LASH_SUPPORT OR LADCCA_SUPPORT )
  set ( fluid_lash_SOURCES bindings/fluid_lash.c bindings/fluid_lash.h )
  include_directories ( ${LASH_INCLUDEDIR} ${LADCCA_INCLUDEDIR} 
                        ${LASH_INCLUDE_DIRS} ${LADCCA_INCLUDE_DIRS} )
endif ( LASH_SUPPORT OR LADCCA_SUPPORT )

if ( DART_SUPPORT )
  set ( fluid_dart_SOURCES drivers/fluid_dart.c )
  include_directories ( ${DART_INCLUDE_DIRS} ) 
endif ( DART_SUPPORT )

if ( LIBSNDFILE_SUPPORT )
  include_directories ( ${LIBSNDFILE_INCLUDEDIR} ${LIBSNDFILE_INCLUDE_DIRS} )
endif ( LIBSNDFILE_SUPPORT )

if ( LADSPA_SUPPORT )
  set ( fluid_ladspa_SOURCES bindings/fluid_ladspa.c bindings/fluid_ladspa.h )
endif ( LADSPA_SUPPORT )

if ( MIDISHARE_SUPPORT )
  set ( fluid_midishare_SOURCES drivers/fluid_midishare.c )
  include_directories ( ${MidiShare_INCLUDE_DIRS} )
endif ( MIDISHARE_SUPPORT )

set ( libfluidsynth_SOURCES 
    utils/fluid_conv.c 
    utils/fluid_conv.h 
    utils/fluid_hash.c 
    utils/fluid_hash.h 
    utils/fluid_list.c 
    utils/fluid_list.h 
    utils/fluid_ringbuffer.c
    utils/fluid_ringbuffer.h
    utils/fluid_settings.c 
    utils/fluid_settings.h 
    utils/fluidsynth_priv.h 
    utils/fluid_sys.c 
    utils/fluid_sys.h 
    sfloader/fluid_defsfont.c 
    sfloader/fluid_defsfont.h 
    sfloader/fluid_ramsfont.c 
    sfloader/fluid_ramsfont.h 
    sfloader/fluid_sfont.h 
    rvoice/fluid_adsr_env.c
    rvoice/fluid_adsr_env.h
    rvoice/fluid_chorus.c 
    rvoice/fluid_chorus.h 
    rvoice/fluid_iir_filter.c
    rvoice/fluid_iir_filter.h
    rvoice/fluid_lfo.c
    rvoice/fluid_lfo.h
    rvoice/fluid_rvoice.h
    rvoice/fluid_rvoice.c
    rvoice/fluid_rvoice_dsp.c
    rvoice/fluid_rvoice_event.h
    rvoice/fluid_rvoice_event.c
    rvoice/fluid_rvoice_mixer.h
    rvoice/fluid_rvoice_mixer.c
    rvoice/fluid_phase.h 
    rvoice/fluid_rev.c 
    rvoice/fluid_rev.h 
    synth/fluid_chan.c 
    synth/fluid_chan.h 
    synth/fluid_event.c 
    synth/fluid_event_priv.h 
    synth/fluid_event_queue.h 
    synth/fluid_gen.c 
    synth/fluid_gen.h 
    synth/fluid_mod.c 
    synth/fluid_mod.h 
    synth/fluid_synth.c 
    synth/fluid_synth.h 
    synth/fluid_tuning.c 
    synth/fluid_tuning.h 
    synth/fluid_voice.c 
    synth/fluid_voice.h 
    midi/fluid_midi.c 
    midi/fluid_midi.h 
    midi/fluid_midi_router.c 
    midi/fluid_midi_router.h 
    midi/fluid_seqbind.c 
    midi/fluid_seq.c 
    drivers/fluid_adriver.c 
    drivers/fluid_adriver.h 
    drivers/fluid_mdriver.c 
    drivers/fluid_mdriver.h 
    drivers/fluid_aufile.c 
    bindings/fluid_cmd.c 
    bindings/fluid_cmd.h
    bindings/fluid_filerenderer.c 
) 

link_directories (
    ${GLIB_LIBDIR} 
    ${GLIB_LIBRARY_DIRS} 
    ${LASH_LIBDIR} 
    ${LASH_LIBRARY_DIRS} 
    ${LADCCA_LIBDIR} 
    ${LADCCA_LIBRARY_DIRS} 
    ${JACK_LIBDIR} 
    ${JACK_LIBRARY_DIRS} 
    ${ALSA_LIBDIR} 
    ${ALSA_LIBRARY_DIRS} 
    ${PULSE_LIBDIR} 
    ${PULSE_LIBRARY_DIRS} 
    ${PORTAUDIO_LIBDIR} 
    ${PORTAUDIO_LIBRARY_DIRS} 
    ${LIBSNDFILE_LIBDIR}
    ${LIBSNDFILE_LIBRARY_DIRS}
    ${DBUS_LIBDIR} 
    ${DBUS_LIBRARY_DIRS} 
)

# note: by default this target creates a shared object (or dll). To build a 
# static library instead, set the option BUILD_SHARED_LIBS to FALSE.
add_library ( libfluidsynth 
    ${fluid_alsa_SOURCES}
    ${fluid_coreaudio_SOURCES}
    ${fluid_coremidi_SOURCES}
    ${fluid_dart_SOURCES}
    ${fluid_dbus_SOURCES}
    ${fluid_jack_SOURCES}
    ${fluid_lash_SOURCES}
    ${fluid_ladspa_SOURCES}
    ${fluid_midishare_SOURCES}
    ${fluid_oss_SOURCES}
    ${fluid_portaudio_SOURCES}
    ${fluid_pulse_SOURCES}
    ${fluid_windows_SOURCES}
    ${libfluidsynth_SOURCES} 
)

set_target_properties ( libfluidsynth 
  PROPERTIES
    PREFIX "lib"
    OUTPUT_NAME "fluidsynth" 
    VERSION ${LT_VERSION_INFO}
    SOVERSION ${LT_VERSION_CURRENT}
    LT_VERSION_CURRENT ${LT_VERSION_CURRENT}
    LT_VERSION_AGE ${LT_VERSION_AGE}
    LT_VERSION_REVISION ${LT_VERSION_REVISION}
)

if ( LIBFLUID_CPPFLAGS ) 
  set_target_properties ( libfluidsynth 
    PROPERTIES COMPILE_FLAGS ${LIBFLUID_CPPFLAGS} )
endif ( LIBFLUID_CPPFLAGS ) 

# this code creates the file libfluidsynth.la
# include ( CreateLibtoolFile )
# create_libtool_file ( libfluidsynth "lib${LIB_SUFFIX}" )

target_link_libraries ( libfluidsynth
    ${GLIB_LIBRARIES} 
    ${LASH_LIBRARIES} 
    ${LADCCA_LIBRARIES} 
    ${JACK_LIBRARIES} 
    ${ALSA_LIBRARIES} 
    ${PULSE_LIBRARIES} 
    ${PORTAUDIO_LIBRARIES} 
    ${LIBSNDFILE_LIBRARIES}
    ${DBUS_LIBRARIES}
    ${READLINE_LIBS} 
    ${DART_LIBS}  
    ${COREAUDIO_LIBS} 
    ${COREMIDI_LIBS} 
    ${WINDOWS_LIBS}
    ${MidiShare_LIBS}
    ${LIBFLUID_LIBS}
)

# ************ CLI program ************

set ( fluidsynth_SOURCES fluidsynth.c )

add_executable ( fluidsynth 
    ${fluidsynth_SOURCES} 
)

if ( FLUID_CPPFLAGS )
  set_target_properties ( fluidsynth   
    PROPERTIES COMPILE_FLAGS ${FLUID_CPPFLAGS} )
endif ( FLUID_CPPFLAGS )        

target_link_libraries ( fluidsynth 
    libfluidsynth 
    ${FLUID_LIBS}
)

install ( TARGETS fluidsynth libfluidsynth
  RUNTIME DESTINATION bin
  LIBRARY DESTINATION lib${LIB_SUFFIX}
  ARCHIVE DESTINATION lib${LIB_SUFFIX}
)

=== include/fluidsynth/CMakeLists.txt ===
# FluidSynth - A Software Synthesize
#
# Copyright (C) 2003-2010 Peter Hanappe and others.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public License
# as published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307, USA

# CMake based build system. Pedro Lopez-Cabanillas <plcl@users.sf.net>

configure_file ( ${CMAKE_CURRENT_SOURCE_DIR}/version.h.in 
                 ${CMAKE_CURRENT_BINARY_DIR}/version.h )

set ( include_HEADERS 
    audio.h 
    event.h 
    gen.h 
    log.h 
    midi.h 
    misc.h 
    mod.h 
    ramsfont.h 
    seq.h 
    seqbind.h 
    settings.h 
    sfont.h 
    shell.h 
    synth.h 
    types.h 
    voice.h 
)

install ( 
  FILES 
    ${include_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/version.h
  DESTINATION 
    include/fluidsynth 
)

=== debian/changelog ===
fluidsynth (1.1.3-4) unstable; urgency=low

  * Drop LASH support.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 19 May 2011 14:59:53 +0200

fluidsynth (1.1.3-3) unstable; urgency=low

  * Demote liblash-dev to
    libfluidsynth-dev's Suggests field (Closes: #611457).
  * Append -Wl,--as-needed flag to LDFLAGS.

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Mar 2011 13:32:37 +0100

fluidsynth (1.1.3-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Feb 2011 00:12:25 +0100

fluidsynth (1.1.3-1) experimental; urgency=low

  * New upstream release:
    - Compilation with LADSPA enabled was broken in 1.1.2 - fixed.
    - Multichannel output broken when double precision was used - fixed.
    - Doxygen settings.
    - Mac OS X build system fixes.
    - Fix build problem with scummvm.
    - Optimize by not starting unused threads with multicore rendering.
    - Window handle creation/destruction in Windows dll version.
    - Race condition in alsa_seq / alsa_raw drivers caused them not to quit.
  * Remove patches, applied upstream.

 -- Alessio Treglia <alessio@debian.org>  Sat, 16 Oct 2010 12:27:50 +0200

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,13 @@
  cmake,
  libreadline-dev (>= 5),
  libjack-dev | libjack-jackd2-dev,
- liblash-dev | ladcca-dev,
  ladspa-sdk,
  libtool,
  libasound2-dev,
  libpulse-dev,
  libglib2.0-dev (>= 2.6.5),
  libsndfile-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.fluidsynth.org/
 Vcs-Git: git://git.debian.org/pkg-multimedia/fluidsynth.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/fluidsynth.git
@@ -55,7 +54,6 @@
  libfluidsynth1 (<< ${source:Upstream-Version}+1~),
  libreadline-dev (>= 5), 
  libncurses5-dev | libncurses-dev,
- liblash-dev | ladcca-dev,
  libasound2-dev, 
  libjack-dev | libjack-jackd2-dev,
  libpulse-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+LDFLAGS+=-Wl,--as-needed
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
 EXTRA_CONFIGURE_ARGS += -Denable-alsa=off -Denable-dbus=off
 endif
